commit: b1af30f04f801203667efe3debc743f9744d537d
Author: Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sat Jan 11 16:26:20 2025 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sat Jan 11 22:19:31 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b1af30f0
net-im/maubot: add 0.5.1
Signed-off-by: Julien Roy <julien <AT> jroy.ca>
net-im/maubot/Manifest | 1 +
net-im/maubot/maubot-0.5.1.ebuild | 60 +++++++++++++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/net-im/maubot/Manifest b/net-im/maubot/Manifest
index d231b1112..35accb849 100644
--- a/net-im/maubot/Manifest
+++ b/net-im/maubot/Manifest
@@ -1 +1,2 @@
DIST maubot-0.5.0.tar.gz 1985146 BLAKE2B
2c80a3cf25671139ae9e962cc0544cc9421fffb72e098958e4b00e4801d25152c9741a306b6a71ce1664116a183c6a57e30bb54d6bf71010f13ffad9901cfbd9
SHA512
089f368e59405adfa05b3fe6da5c5fe5a092ae8509b01aa7b6d8940c6a16fb3a66ce715cbb2a757857f088def3f9eb2010c9789d4d2537151bc203c38afb6495
+DIST maubot-0.5.1.tar.gz 1985415 BLAKE2B
99a5eac3504c3d3995d17d9ff265a01caf271824562dbf3f3c0a15b5b46ccee70ab124614697237ef6ff0c2d9f30ae42ab27b67eb06b3a30dd5a5636a2a22a04
SHA512
edc61641bcbe674e9a3eb470fc6e03f7dcd87b792aa1d7c0e2525c1762fb7095e8ecedb4f532383e74e26ffcfa8699d2ca0e5920638e47f999a690b9f47aa80e
diff --git a/net-im/maubot/maubot-0.5.1.ebuild
b/net-im/maubot/maubot-0.5.1.ebuild
new file mode 100644
index 000000000..afb1258db
--- /dev/null
+++ b/net-im/maubot/maubot-0.5.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYPI_NO_NORMALIZE=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi systemd
+
+DESCRIPTION="Plugin-based Matrix bot system"
+HOMEPAGE="https://github.com/maubot/maubot/"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ acct-user/maubot
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/aiosqlite[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/asyncpg[${PYTHON_USEDEP}]
+ dev-python/bcrypt[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/commonmark[${PYTHON_USEDEP}]
+ dev-python/jinja2[${PYTHON_USEDEP}]
+ dev-python/mautrix[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ dev-python/python-olm[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/unpaddedbase64[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+src_install() {
+ distutils-r1_src_install
+
+ keepdir /var/log/maubot
+ fowners root:maubot /var/log/maubot
+ fperms 770 /var/log/maubot
+ sed -i -e "s/\.\/${PN}.log/\/var\/log\/maubot\/${PN}.log/"
"${ED}/usr/example-config.yaml" || die
+ sed -i -e "s/\.\/plugins/\/var\/lib\/maubot\/plugins/g"
"${ED}/usr/example-config.yaml" || die
+ sed -i -e "s/\.\/trash/\/var\/lib\/maubot\/trash/g"
"${ED}/usr/example-config.yaml" || die
+
+ insinto "/etc/maubot"
+ newins "${ED}/usr/example-config.yaml" "${PN}.yaml"
+ rm "${ED}/usr/example-config.yaml" || die
+
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ systemd_dounit "${FILESDIR}/${PN}.service"
+
+ fowners -R root:maubot /etc/maubot
+ fperms -R 770 /etc/maubot
+}